WebSphereTransactionService (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereTransactionService interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereTransactionService

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereTransactionService

extends LogicalElement

Represents a WebSphere Java Transaction Service.

Naming Rules:
  0="parent" 1="managedSystemName"
Persistable:
  true
Table Name:
  WASJTA

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getAbandonTimeout()`
`int` | `getBeforeCompletionIterationLimit()`
`boolean` | `getForgeHeuristics()`
`int` | `getMaxSimultaneousTx()`
`int` | `getMaxUniqueNameStats()`
`WebSphereServer` | `getParent()`
`int` | `getTxTimeout()`
`boolean` | `hasAbandonTimeout()`
`boolean` | `hasBeforeCompletionIterationLimit()`
`boolean` | `hasForgeHeuristics()`
`boolean` | `hasMaxSimultaneousTx()`
`boolean` | `hasMaxUniqueNameStats()`
`boolean` | `hasParent()`
`boolean` | `hasTxTimeout()`
`void` | `setAbandonTimeout(int i)`
`void` | `setBeforeCompletionIterationLimit(int i)`
`void` | `setForgeHeuristics(boolean b)`
`void` | `setMaxSimultaneousTx(int i)`
`void` | `setMaxUniqueNameStats(int i)`
`void` | `setParent(WebSphereServer parent)`
`void` | `setTxTimeout(int i)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebSphereServer getParent()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="true"

### setParent

    void setParent(WebSphereServer parent)

### hasParent

    boolean hasParent()

### getAbandonTimeout

    int getAbandonTimeout()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAbandonTimeout

    void setAbandonTimeout(int i)

### hasAbandonTimeout

    boolean hasAbandonTimeout()

### getBeforeCompletionIterationLimit

    int getBeforeCompletionIterationLimit()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBeforeCompletionIterationLimit

    void setBeforeCompletionIterationLimit(int i)

### hasBeforeCompletionIterationLimit

    boolean hasBeforeCompletionIterationLimit()

### getForgeHeuristics

    boolean getForgeHeuristics()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setForgeHeuristics

    void setForgeHeuristics(boolean b)

### hasForgeHeuristics

    boolean hasForgeHeuristics()

### getMaxSimultaneousTx

    int getMaxSimultaneousTx()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxSimultaneousTx

    void setMaxSimultaneousTx(int i)

### hasMaxSimultaneousTx

    boolean hasMaxSimultaneousTx()

### getMaxUniqueNameStats

    int getMaxUniqueNameStats()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxUniqueNameStats

    void setMaxUniqueNameStats(int i)

### hasMaxUniqueNameStats

    boolean hasMaxUniqueNameStats()

### getTxTimeout

    int getTxTimeout()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTxTimeout

    void setTxTimeout(int i)

### hasTxTimeout

    boolean hasTxTimeout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD